NI-IMAQ and LabVIEW Compatibility

Publish Date: Dec 08, 2016 | 3 Ratings | 2.33 out of 5 | Print

Overview

This page shows supported versions of the NI-IMAQ hardware driver with LabVIEW development systems. Reference this information to ensure you install the correct version when upgrading or updating your system or software. Using incompatible versions may result in errors, missing LabVIEW palettes or functions, or devices and tasks failing to show up in NI Measurement & Automation Explorer (MAX).

Note that this article replaces KnowledgeBase 3YMCCQ0F: NI-IMAQ Compatibility with Different LabVIEW Versions. Some NI manuals may still reference the previous document. If you were redirected from the previous KnowledgeBase URL, please update your bookmarks accordingly.

1. NI-IMAQ and LabVIEW Compatibility table 

Use this table to compare versions of NI-IMAQ to compatible versions of LabVIEW
NI‑IMAQ Version LabVIEW Version
8.6 8.6.1 2009 2009 SP1 2010 2010 SP1 2011 2011 SP1 2012 2012 SP1 2013 2013 SP1 2014 2014 SP1 2015 2015 SP1 2016
4.2                                  
4.3                                  
4.3.1                                  
4.4                                  
4.5                                  
4.6                                  
4.6.1                                  
4.6.5                                  
4.7                                  
4.7.2                                  
4.7.3                                  
4.9                                  
14.0                                  
14.5                                  
15.0                                  
15.5                                  
16.0                                  


  Compatible Version


For compatibility between older versions of NI-IMAQ or LabVIEW, see the NI-IMAQ LabVIEW Compatibility Table attachment in the Downloads section of this document.

 

Back to Top

2. Additional Resources

Drivers and Updates: NI Vision Acquisition Software
KnowledgeBase 4AKC22MJ: Compatible Versions of Vision Development Module with LabVIEW and LabWindows/CVI 
KnowledgeBase 6ORIE2W9: NI Vision Acquisition Software Compatibility with Different LabVIEW Versions
KnowledgeBase 6ORHSHW9: NI-IMAQdx Compatibility with Different LabVIEW Versions
KnowledgeBase 6ORI7LW9: NI-IMAQ I/O Compatibility with Different LabVIEW Versions

Back to Top

Bookmark & Share


Downloads


Ratings

Rate this document

Answered Your Question?
Yes No

Submit